Name:		osm2pgsql
Version:	1.7.2
Release:	%mkrel 1
Summary:	An OpenStreetMap to PostgreSQL converter
License:	GPLv2
Group:		Sciences/Geosciences
URL:		https://wiki.openstreetmap.org/wiki/Osm2pgsql
# https://codeload.github.com/openstreetmap/osm2pgsql/tar.gz/0.84.0
Source0:	https://github.com/openstreetmap/osm2pgsql/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	geos-devel
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(proj)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(libprotobuf-c)
BuildRequires:	pkgconfig(lua)

%description
osm2pgsql is a command-line based program that converts OpenStreetMap data
to postGIS-enabled PostgreSQL databases.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc AUTHORS README.md
%license COPYING
%{_bindir}/%{name}
%{_bindir}/osm2pgsql-replication
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/osm2pgsql-replication.1.*
%{_datadir}/%{name}/


%changelog
* Sun Jan 08 2023 daviddavid <daviddavid> 1.7.2-1.mga9
+ Revision: 1931593
- new version: 1.7.2

* Sat Dec 24 2022 wally <wally> 1.6.0-5.mga9
+ Revision: 1926516
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 1.6.0-4.mga9
+ Revision: 1867296
- rebuild for boost 1.79.0

* Sun May 08 2022 eatdirt <eatdirt> 1.6.0-3.mga9
+ Revision: 1856786
- Rebuild for new proj

* Wed Mar 30 2022 umeabot <umeabot> 1.6.0-2.mga9
+ Revision: 1834334
- Mageia 9 Mass Rebuild

* Tue Feb 01 2022 mrambo3501 <mrambo3501> 1.6.0-1.mga9
+ Revision: 1770842
- version 1.6.0

* Sun Dec 19 2021 wally <wally> 1.4.2-4.mga9
+ Revision: 1762670
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.4.2-3.mga9
+ Revision: 1744665
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.4.2-2.mga9
+ Revision: 1723003
- rebuild for boost 1.76.0

* Fri Apr 09 2021 daviddavid <daviddavid> 1.4.2-1.mga9
+ Revision: 1714367
- new version: 1.4.2

* Fri Apr 02 2021 wally <wally> 1.4.1-2.mga9
+ Revision: 1712801
- rebuild for lua 5.4

* Wed Mar 03 2021 daviddavid <daviddavid> 1.4.1-1.mga9
+ Revision: 1696821
- new version: 1.4.1

* Thu Dec 31 2020 wally <wally> 1.4.0-3.mga8
+ Revision: 1666799
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.4.0-2.mga8
+ Revision: 1662041
- rebuild for boost 1.74.0

* Tue Dec 15 2020 daviddavid <daviddavid> 1.4.0-1.mga8
+ Revision: 1657855
- new version: 1.4.0

* Thu Nov 19 2020 daviddavid <daviddavid> 1.3.0-1.mga8
+ Revision: 1647583
- new version: 1.3.0

* Wed Apr 22 2020 daviddavid <daviddavid> 1.2.1-1.mga8
+ Revision: 1570793
- new version: 1.2.1

* Fri Mar 20 2020 eatdirt <eatdirt> 0.96.0-4.mga8
+ Revision: 1558235
- Rebuild for new libproj

* Sat Feb 15 2020 daviddavid <daviddavid> 0.96.0-3.mga8
+ Revision: 1525901
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Mar 08 2019 eatdirt <eatdirt> 0.96.0-2.mga7
+ Revision: 1372901
- Rebuild and fix for new libproj 6.0

* Sun Oct 21 2018 daviddavid <daviddavid> 0.96.0-1.mga7
+ Revision: 1323303
- new version: 0.96.0

* Sun Sep 23 2018 umeabot <umeabot> 0.94.0-3.mga7
+ Revision: 1300065
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update Source0

* Sat Mar 17 2018 daviddavid <daviddavid> 0.94.0-2.mga7
+ Revision: 1210039
- rebuild for new proj 5.0.0

* Tue Oct 31 2017 eatdirt <eatdirt> 0.94.0-1.mga7
+ Revision: 1175239
- Upgrade to version 0.94.0
+ daviddavid <daviddavid>
- disable build on ARMv5 as std::future does not exist on ARMv5

* Fri May 20 2016 eatdirt <eatdirt> 0.90.0-1.mga6
+ Revision: 1017174
- Upgrade to version 0.90.0

* Fri May 20 2016 tv <tv> 0.84.0-9.mga6
+ Revision: 1017109
- rebuild for new libproj

* Sat Apr 16 2016 daviddavid <daviddavid> 0.84.0-8.mga6
+ Revision: 1002951
- rebuild for new geos 3.5.0

* Tue Feb 16 2016 umeabot <umeabot> 0.84.0-7.mga6
+ Revision: 961968
- Mageia 6 Mass Rebuild

* Fri Aug 28 2015 cjw <cjw> 0.84.0-6.mga6
+ Revision: 870438
- rebuild with gcc 5

* Tue Nov 25 2014 cjw <cjw> 0.84.0-5.mga5
+ Revision: 798940
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.84.0-4.mga5
+ Revision: 744503
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.84.0-3.mga5
+ Revision: 683281
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 luigiwalser <luigiwalser> 0.84.0-2.mga5
+ Revision: 670746
- rebuild for protobuf-c

* Sat Oct 26 2013 mitya <mitya> 0.84.0-1.mga4
+ Revision: 547039
- imported package osm2pgsql

